Closed Bug 1649714 Opened 10 months ago Closed 5 months ago

Preferences: Firefox does not expose xul:menulist to VoiceOver

Categories

(Core :: Disability Access APIs, defect, P1)

80 Branch
Desktop
macOS
defect

Tracking

()

VERIFIED FIXED
85 Branch
Tracking Status
firefox80 --- wontfix
firefox85 --- verified
firefox86 --- verified

People

(Reporter: MarcoZ, Assigned: morgan)

Details

(Whiteboard: [Mac2020_2])

Attachments

(1 file, 1 obsolete file)

With VoiceOver on:

  1. Open about:preferences.
  2. Search for Zoom.
  3. VO navigate to the Zoom sub section.
    • Result: VoiceOver skips over the Zoom Level combo box. It treats it as non-existent.
  4. Tab and shift+tab forwards and backwards.
    • Result: When focus lands on the menu list, VoiceOver remains silent.

This also pertains to other menu lists throughout the Preferences UI such as in the Home and History categories.

This makes it impossible for a VoiceOver user to access these preferences. Setting severity to 2 because of this, but keeping it in the 2020_2 milestone.

Priority: P3 → P1
Assignee: nobody → mreschenberg
Attachment #9188460 - Attachment is obsolete: true
Pushed by mzehe@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/612035c577d2
Remove menuPopUp's ignore parent for XUL comboboxes and combobox lists. r=eeejay

Backed out changeset 612035c577d2 (bug 1649714) for browser_popupbutton.js failures.

Push with failures: https://treeherder.mozilla.org/jobs?repo=autoland&group_state=expanded&fromchange=5b8265dc60c869d1196c475ade06e254d53ce7f4&searchStr=webrender%2Cmochitests&tochange=58c3a2573804f12b8798c25605f7b7f01d720350&selectedTaskRun=ENqvfjRJS7mUmxd10CAh8w.0

Backout link: https://hg.mozilla.org/integration/autoland/rev/58c3a2573804f12b8798c25605f7b7f01d720350

Failure log: https://treeherder.mozilla.org/logviewer?job_id=322395988&repo=autoland&lineNumber=3265

[task 2020-11-20T06:46:08.816Z] 06:46:08     INFO - TEST-START | accessible/tests/browser/mac/browser_popupbutton.js
[task 2020-11-20T06:46:08.826Z] 06:46:08     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak ++DOCSHELL 0x124ef2000 == 6 [pid = 1421] [id = 16]
[task 2020-11-20T06:46:08.826Z] 06:46:08     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 34 (0x113625c80) [pid = 1421] [serial = 50] [outer = 0x0]
[task 2020-11-20T06:46:08.827Z] 06:46:08     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 35 (0x124ef3800) [pid = 1421] [serial = 51] [outer = 0x113625c80]
[task 2020-11-20T06:46:08.881Z] 06:46:08     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak ++DOMWINDOW == 36 (0x1258aa000) [pid = 1421] [serial = 52] [outer = 0x113625c80]
[task 2020-11-20T06:46:09.347Z] 06:46:09     INFO - GECKO(1416) | [Child 1422: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 0 (0x1088d6800) [pid = 1422] [serial = 3] [outer = 0x0] [url = data:text/html,<title>Three</title>]
[task 2020-11-20T06:46:09.444Z] 06:46:09     INFO - GECKO(1416) | [Child 1423: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 0 (0x1043d3c00) [pid = 1423] [serial = 3] [outer = 0x0] [url = data:text/html,<title>Four</title>]
[task 2020-11-20T06:46:09.644Z] 06:46:09     INFO - TEST-INFO | started process screencapture
[task 2020-11-20T06:46:09.725Z] 06:46:09     INFO - TEST-INFO | screencapture: exit 0
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - Buffered messages logged at 06:46:08
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - Entering test bound 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - Buffered messages logged at 06:46:09
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Recieved document load complete event - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Actually remote browser - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | select has AXPopupButton role - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | select advertises AXValue - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | select has correctt initial value - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | select does not advertise AXHasPopup - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | select does not provide value for AXHasPopup - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Selectt has press action - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | dropdown has AXMenu role - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | dropdown has single selected child - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Only one child is selected - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | undefined assertion name - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | undefined assertion name - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - Buffered messages finished
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-UNEXPECTED-FAIL | accessible/tests/browser/mac/browser_popupbutton.js | dropdown parent is a group - Got "AXPopUpButton", expected "AXGroup"
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - Stack trace:
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - chrome://mochikit/content/browser-test.js:test_is:1332
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - chrome://mochitests/content/browser/accessible/tests/browser/mac/browser_popupbutton.js:null:70
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - Not taking screenshot here: see the one that was previously logged
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-UNEXPECTED-FAIL | accessible/tests/browser/mac/browser_popupbutton.js | group is main/root element - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - Stack trace:
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - chrome://mochikit/content/browser-test.js:test_ok:1304
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - chrome://mochitests/content/browser/accessible/tests/browser/mac/browser_popupbutton.js:null:75
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Menu items have correct checkmark on current value, correctt roles, correct titles, and correct AXEnabled value - [["✓","AXMenuItem","One",1],[null,"AXMenuItem","Two",1],[null,"AXMenuItem","Three",1],[null,"AXMenuItem","Four",0]] deepEqual [["✓","AXMenuItem","One",true],[null,"AXMenuItem","Two",true],[null,"AXMenuItem","Three",true],[null,"AXMenuItem","Four",false]] - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Focused menu item has correct title - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Only one child is selected - 
[task 2020-11-20T06:46:09.726Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Selected child matches focused item - 
[task 2020-11-20T06:46:09.891Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Focused menu item has correct title - 
[task 2020-11-20T06:46:09.891Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Only one child is selected - 
[task 2020-11-20T06:46:09.891Z] 06:46:09     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Selected child matches focused item - 
[task 2020-11-20T06:46:09.966Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 0x124e76000 == 5 [pid = 1421] [id = 11] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%3Cmath%3E%0A%20%20%3Cmsubsup%20id%3D%22subsup%22%3E%0A%20%20%20%20%3Cmo%3E%E2%88%AB%3C%2Fmo%3E%0A%20%20%20%20%3Cmn%3E0%3C%2Fmn%3E%0A%20%20%20%20%3Cmn%3E1%3C%2Fmn%3E%0A%20%20%3C%2Fmsubsup%3E%0A%20%20%3C%2Fmath%3E%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.966Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 35 (0x113688400) [pid = 1421] [serial = 26] [outer = 0x0] [url = about:blank]
[task 2020-11-20T06:46:09.966Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 34 (0x1139d0400) [pid = 1421] [serial = 3] [outer = 0x0] [url = data:text/html,<title>Two</title>]
[task 2020-11-20T06:46:09.966Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 33 (0x11368a800) [pid = 1421] [serial = 29] [outer = 0x0] [url = about:blank]
[task 2020-11-20T06:46:09.966Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 32 (0x113692800) [pid = 1421] [serial = 18] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%3Cinput%20aria-label%3D%22Name%22%20id%3D%22input%22%20value%3D%22Elmer%20Fudd%22%3E%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.966Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 31 (0x124ee8800) [pid = 1421] [serial = 9] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%0A%20%20%3Cbutton%20aria-haspopup%3D%22false%22%20id%3D%22false%22%3Eaction%3C%2Fbutton%3E%0A%0A%20%20%3Cbutton%20aria-haspopup%3D%22menu%22%20id%3D%22menu%22%3Eaction%3C%2Fbutton%3E%0A%0A%20%20%3Cbutton%20aria-haspopup%3D%22listbox%22%20id%3D%22listbox%22%3Eaction%3C%2Fbutton%3E%0A%0A%20%20%3Cbutton%20aria-haspopup%3D%22tree%22%20id%3D%22tree%22%3Eaction%3C%2Fbutton%3E%0A%0A%20%20%3Cbutton%20aria-haspopup%3D%22grid%22%20id%3D%22grid%22%3Eaction%3C%2Fbutton%3E%0A%0A%20%20%3Cbutton%20aria-haspopup%3D%22dialog%22%20id%3D%22dialog%22%3Eaction%3C%2Fbutton%3E%0A%0A%20%20%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.967Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 30 (0x1258a5c00) [pid = 1421] [serial = 24] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%3Cul%20style%3D%22list-style%3A%20none%3B%22%3E%3Cli%20id%3D%22unstyled-item%22%3EHello%3C%2Fli%3E%3C%2Ful%3E%0A%20%20%20%3Cul%3E%3Cli%20id%3D%22styled-item%22%3EWorld%3C%2Fli%3E%3C%2Ful%3E%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.967Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 29 (0x113686c00) [pid = 1421] [serial = 15] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%0A%20%20%3Cdiv%20role%3D%22button%22%20id%3D%22ariabutton%22%3Ehello%3C%2Fdiv%3E%20%3Cbutton%20id%3D%22button%22%3Eworld%3C%2Fbutton%3E%0A%20%20%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.967Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 28 (0x124ef1800) [pid = 1421] [serial = 12] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%3Cdetails%20id%3D%22details%22%3E%3Csummary%3EFoo%3C%2Fsummary%3E%3Cp%3EBar%3C%2Fp%3E%3C%2Fdetails%3E%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.967Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 27 (0x124e7b400) [pid = 1421] [serial = 30] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%0A%20%20%3Cdiv%20id%3D%22polite%22%20aria-relevant%3D%22removals%22%3EPolite%20region%3C%2Fdiv%3E%0A%20%20%3Cdiv%20id%3D%22assertive%22%20aria-live%3D%22assertive%22%3EAssertive%20region%3C%2Fdiv%3E%0A%20%20%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.967Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 26 (0x124e77000) [pid = 1421] [serial = 36] [outer = 0x0] [url = about:blank]
[task 2020-11-20T06:46:09.967Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 25 (0x113aa0800) [pid = 1421] [serial = 6] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%3Ca%20id%3D%22one%22%20href%3D%22%2523%22%20aria-current%3D%22page%22%3EOne%3C%2Fa%3E%3Ca%20id%3D%22two%22%20href%3D%22%2523%22%3ETwo%3C%2Fa%3E%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.967Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 24 (0x124e70000) [pid = 1421] [serial = 33] [outer = 0x0] [url = about:blank]
[task 2020-11-20T06:46:09.967Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 23 (0x125831000) [pid = 1421] [serial = 21] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%3Clabel%20for%3D%22n1%22%3ELabel%3C%2Flabel%3E%20%3Cinput%20id%3D%22n1%22%3E%0A%20%20%20%3Clabel%20for%3D%22n2%22%3ETwo%3C%2Flabel%3E%20%3Clabel%20for%3D%22n2%22%3ELabels%3C%2Flabel%3E%20%3Cinput%20id%3D%22n2%22%3E%0A%20%20%20%3Cinput%20aria-label%3D%22ARIA%20Label%22%20id%3D%22n3%22%3E%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.967Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 0x124e6fc00 == 4 [pid = 1421] [id = 15] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%0A%20%20%3Cdiv%20role%3D%22tree%22%20id%3D%22tree%22%20tabindex%3D%220%22%20aria-label%3D%22My%20drive%22%20aria-activedescendant%3D%22myfiles%22%3E%0A%20%20%20%20%3Cdiv%20id%3D%22myfiles%22%20role%3D%22treeitem%22%20aria-label%3D%22My%20files%22%20aria-selected%3D%22true%22%20aria-expanded%3D%22false%22%3EMy%20files%3C%2Fdiv%3E%0A%20%20%20%20%3Cdiv%20role%3D%22treeitem%22%20aria-label%3D%22Shared%20items%22%20aria-selected%3D%22false%22%20aria-expanded%3D%22false%22%3EShared%20items%3C%2Fdiv%3E%0A%20%20%3C%2Fdiv%3E%0A%20%20%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.968Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 0x113685c00 == 3 [pid = 1421] [id = 12] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%3Ch1%20id%3D%22hello%22%3Ehello%3C%2Fh1%3E%0A%20%20world%3Cbr%3E%0A%20%20%3Ca%20href%3D%22example.com%22%20id%3D%22link%22%3EI%20am%20a%20link%3C%2Fa%3E%0A%20%20%3Ch1%20id%3D%22goodbye%22%3Egoodbye%3C%2Fh1%3E%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.968Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 0x11368f400 == 2 [pid = 1421] [id = 13] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%0A%20%20%3Cblockquote%20id%3D%22first%22%3Ehello%20I%20am%20a%20blockquote%3C%2Fblockquote%3E%0A%20%20%3Cblockquote%20id%3D%22second%22%3E%0A%20%20%20%20I%20am%20also%20a%20blockquote%20of%20the%20same%20level%0A%20%20%20%20%3Cbr%3E%0A%20%20%20%20%3Cblockquote%20id%3D%22third%22%3Ebut%20I%20have%20a%20different%20level%3C%2Fblockquote%3E%0A%20%20%3C%2Fblockquote%3E%0A%20%20%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:09.968Z] 06:46:09     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOCSHELL 1139cf000 == 1 [pid = 1421] [id = 14] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%0A%20%20%3Ch3%20id%3D%22tree1%22%3E%0A%20%20%20%20Foods%0A%20%20%3C%2Fh3%3E%0A%20%20%3Cul%20role%3D%22tree%22%20aria-labelledby%3D%22tree1%22%20id%3D%22outline%22%3E%0A%20%20%20%20%3Cli%20role%3D%22treeitem%22%20aria-expanded%3D%22false%22%3E%0A%20%20%20%20%20%20%3Cspan%3E%0A%20%20%20%20%20%20%20%20Fruits%0A%20%20%20%20%20%20%3C%2Fspan%3E%0A%20%20%20%20%20%20%3Cul%3E%0A%20%20%20%20%20%20%20%20%3Cli%20role%3D%22none%22%3EOranges%3C%2Fli%3E%0A%20%20%20%20%20%20%20%20%3Cli%20role%3D%22treeitem%22%20aria-expanded%3D%22true%22%3E%0A%20%20%20%20%20%20%20%20%20%20%3Cspan%3E%0A%20%20%20%20%20%20%20%20%20%20%20%20Apples%0A%20%20%20%20%20%20%20%20%20%20%3C%2Fspan%3E%0A%20%20%20%20%20%20%20%20%20%20%3Cul%20role%]
[task 2020-11-20T06:46:10.091Z] 06:46:10     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 22 (0x113657580) [pid = 1421] [serial = 25] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%0A%20%20%3Ca%20id%3D%22link%22%20href%3D%22http%3A%2F%2Fwww.example.com%2F%22%3EI%20am%20a%20non-visited%20link%3C%2Fa%3E%3Cbr%3E%0A%20%20%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:10.091Z] 06:46:10     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 21 (0x113657740) [pid = 1421] [serial = 28] [outer = 0x0] [url = data:text/html;charset=utf-8,        <div id="region-1" aria-live="polite"></div>        <div id="region-2" aria-live="assertive"></div>        <div id="region-3" aria-live="off"></div>        <div id="status" role="status"></div>        <output id="output"></output>]
[task 2020-11-20T06:46:10.091Z] 06:46:10     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 20 (0x113625200) [pid = 1421] [serial = 35] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%3Cmath%3E%0A%20%20%3Cmsubsup%20id%3D%22subsup%22%3E%0A%20%20%20%20%3Cmo%3E%E2%88%AB%3C%2Fmo%3E%0A%20%20%20%20%3Cmn%3E0%3C%2Fmn%3E%0A%20%20%20%20%3Cmn%3E1%3C%2Fmn%3E%0A%20%20%3C%2Fmsubsup%3E%0A%20%20%3C%2Fmath%3E%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:10.092Z] 06:46:10     INFO - GECKO(1416) | [Child 1421: Main Thread]: I/DocShellAndDOMWindowLeak --DOMWINDOW == 19 (0x113657900) [pid = 1421] [serial = 32] [outer = 0x0] [url = data:text/html;charset=utf-8,%3Chtml%3E%0A%20%20%20%20%20%20%3Chead%3E%0A%20%20%20%20%20%20%20%20%3Cmeta%20charset%3D%22utf-8%22%2F%3E%0A%20%20%20%20%20%20%20%20%3Ctitle%3EAccessibility%20Test%3C%2Ftitle%3E%0A%20%20%20%20%20%20%3C%2Fhead%3E%0A%20%20%20%20%20%20%3Cbody%20id%3D%22body%22%3E%3Cmath%3E%0A%20%20%20%20%3Cmroot%20id%3D%22root%22%3E%0A%20%20%20%20%20%20%3Cmi%3Ex%3C%2Fmi%3E%0A%20%20%20%20%20%20%3Cmn%3E3%3C%2Fmn%3E%0A%20%20%20%20%3C%2Fmroot%3E%0A%20%20%3C%2Fmath%3E%3C%2Fbody%3E%0A%20%20%20%20%3C%2Fhtml%3E]
[task 2020-11-20T06:46:10.594Z] 06:46:10     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | Newly focused element is AXPopupButton - 
[task 2020-11-20T06:46:10.594Z] 06:46:10     INFO - TEST-PASS | accessible/tests/browser/mac/browser_popupbutton.js | select has correct new value - 
[task 2020-11-20T06:46:10.606Z] 06:46:10     INFO - GECKO(1416) | [Child 1421, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111 (NS_ERROR_NOT_AVAILABLE): file /builds/worker/checkouts/gecko/caps/BasePrincipal.cpp:1321
[task 2020-11-20T06:46:10.606Z] 06:46:10     INFO - Leaving test bound 
[task 2020-11-20T06:46:10.678Z] 06:46:10     INFO - GECKO(1416) | MEMORY STAT | vsize 7763MB | residentFast 371MB | heapAllocated 132MB
[task 2020-11-20T06:46:10.678Z] 06:46:10     INFO - TEST-OK | accessible/tests/browser/mac/browser_popupbutton.js | took 1851ms
Flags: needinfo?(mreschenberg)
Flags: needinfo?(mreschenberg)
Pushed by mreschenberg@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/20f3487c9984
Remove menuPopUp's ignore parent for XUL comboboxes and combobox lists. r=eeejay
Status: NEW → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
Target Milestone: --- → 85 Branch

I've reproduced the issue on 80.0a1 (2020-07-01) under macOS 11.1

The issue is fixed on 85.0b3 and 86.0a1 (2020-12-17). Tests were performed on macOS 11.1

Status: RESOLVED → VERIFIED
Flags: qe-verify+
You need to log in before you can comment on or make changes to this bug.